<!DOCTYPE html>
<html lang='en'>
<head>
<meta charset='utf-8' />
<title>MetaQuotes.Playground.Benchmarks.SearchByIpBenchmark-20210819-121900</title>

<style type="text/css">
	table { border-collapse: collapse; display: block; width: 100%; overflow: auto; }
	td, th { padding: 6px 13px; border: 1px solid #ddd; text-align: right; }
	tr { background-color: #fff; border-top: 1px solid #ccc; }
	tr:nth-child(even) { background: #f8f8f8; }
</style>
</head>
<body>
<pre><code>
BenchmarkDotNet=v0.13.1, OS=Windows 10.0.17134.1967 (1803/April2018Update/Redstone4)
Intel Core i7-3770 CPU 3.40GHz (Ivy Bridge), 1 CPU, 8 logical and 4 physical cores
.NET Core SDK=3.1.300
  [Host]     : .NET Core 3.1.4 (CoreCLR 4.700.20.20201, CoreFX 4.700.20.22101), X64 RyuJIT
  Job-EEKIXH : .NET Core 3.1.4 (CoreCLR 4.700.20.20201, CoreFX 4.700.20.22101), X64 RyuJIT
</code></pre>
<pre><code>Platform=AnyCpu  Runtime=.NET Core 3.1  LaunchCount=2  
MaxIterationCount=20  
</code></pre>

<table>
<thead><tr><th>Method</th><th>N</th><th>  ip</th><th>Mean</th><th>Error</th><th>StdDev</th><th>Max</th><th>Min</th><th>Op/s</th>
</tr>
</thead><tbody><tr><td>SearchByIp</td><td>20000</td><td>1422660825</td><td>3.385 &mu;s</td><td>0.0797 &mu;s</td><td>0.1264 &mu;s</td><td>3.790 &mu;s</td><td>3.144 &mu;s</td><td>295,411.4</td>
</tr><tr><td>SearchByIp</td><td>20000</td><td>3385307463</td><td>3.680 &mu;s</td><td>0.1742 &mu;s</td><td>0.3005 &mu;s</td><td>4.569 &mu;s</td><td>3.292 &mu;s</td><td>271,706.1</td>
</tr><tr><td>SearchByIp</td><td>40000</td><td>1422660825</td><td>3.928 &mu;s</td><td>0.2033 &mu;s</td><td>0.3507 &mu;s</td><td>4.899 &mu;s</td><td>3.355 &mu;s</td><td>254,597.8</td>
</tr><tr><td>SearchByIp</td><td>40000</td><td>3385307463</td><td>3.896 &mu;s</td><td>0.1226 &mu;s</td><td>0.1944 &mu;s</td><td>4.242 &mu;s</td><td>3.535 &mu;s</td><td>256,655.3</td>
</tr><tr><td>SearchByIp</td><td>60000</td><td>1422660825</td><td>3.645 &mu;s</td><td>0.0934 &mu;s</td><td>0.1561 &mu;s</td><td>4.084 &mu;s</td><td>3.328 &mu;s</td><td>274,352.6</td>
</tr><tr><td>SearchByIp</td><td>60000</td><td>3385307463</td><td>3.423 &mu;s</td><td>0.1321 &mu;s</td><td>0.2134 &mu;s</td><td>3.803 &mu;s</td><td>3.142 &mu;s</td><td>292,133.7</td>
</tr><tr><td>SearchByIp</td><td>80000</td><td>1422660825</td><td>3.512 &mu;s</td><td>0.1824 &mu;s</td><td>0.3098 &mu;s</td><td>4.345 &mu;s</td><td>3.150 &mu;s</td><td>284,731.3</td>
</tr><tr><td>SearchByIp</td><td>80000</td><td>3385307463</td><td>3.521 &mu;s</td><td>0.0935 &mu;s</td><td>0.1587 &mu;s</td><td>3.883 &mu;s</td><td>3.317 &mu;s</td><td>284,041.3</td>
</tr><tr><td>SearchByIp</td><td>100000</td><td>1422660825</td><td>3.457 &mu;s</td><td>0.1077 &mu;s</td><td>0.1740 &mu;s</td><td>3.925 &mu;s</td><td>3.185 &mu;s</td><td>289,296.1</td>
</tr><tr><td>SearchByIp</td><td>100000</td><td>3385307463</td><td>3.460 &mu;s</td><td>0.1437 &mu;s</td><td>0.2517 &mu;s</td><td>4.139 &mu;s</td><td>3.140 &mu;s</td><td>288,987.6</td>
</tr></tbody></table>
</body>
</html>
